#
# Download, Compile and Install depencies for SspamM
#
yum -y install sharutils sendmail gcc rpm-build sendmail-devel sendmail-cf python python-devel python-setuptools

# Install RpmForge repository, if not yet installed.
# Sspamm needs only python-rrdtool from here
rpm -qa|grep -q "^rpmforge" || ( wget http://packages.sw.be/rpmforge-release/rpmforge-release-0.5.1-1.el5.rf.i386.rpm && rpm -i rpmforge-release-0.5.1-1.el5.rf.i386.rpm )

grep -q "^%__check_files" /usr/lib/rpm/macros && cat << 'EOF'|uudecode -o -|gzip -d|patch /usr/lib/rpm/macros
begin 644 rpm-macros.diff.gz
M'XL(""NPWDL"`TT`I9%?2\,P%,6?UT]Q80Z4+FVZJ@][L<A>!'52YW-)T]LN
M+&U&_@A#_.ZN[>K0B0B&0$)RSCWYW1!"H&9<*Q,H+:K1C$:4T"M"8X@NY^V,
M`CH,\&E,J>?[_L%S*I_-3N1)`B2^CJ=1#/YA31(/QI"B=;HQ((6QH$IPS9;Q
M#:NP@%)(-%,0`0;]'D0#9^G30W;[<G>_R-+E<@6-LC`X@GW!MN:CLCB'A3`L
MEPCG^0ZXJFMLK&@J4,Y>0*DT2*P8[ZZVS(I<2&%W@4<F6<;7R#=9'SF,T!D=
M2I&'>EN'G8#T@LE;[H0LM%+VW?/'_[+#`>!YK9PL3GK1\C/H]-`:P**N1<,L
M#L<W7SJP6B,46#(G+;PRZ1!,7SA'H+_WX!C=@V2?45D7-(H\_P\J^AVI%L:T
<OS`I%#]"V?U#>ZQ":.16Z=U/;!];<N,9J`(`````
`
end
EOF


wget http://smontanaro.dyndns.org/python/lockfile-0.7.tar.gz -O-|tar xz
wget http://sourceforge.net/projects/spambayes/files/spambayes/1.1a6/spambayes-1.1a6.tar.gz/download -O-|tar xz
wget http://sourceforge.net/projects/pydns/files/pydns/pydns-2.3.4/pydns-2.3.4.tar.gz/download -O-|tar xz
wget http://sourceforge.net/projects/pymilter/files/pymilter/pymilter-0.9.1/pymilter-0.9.1.tar.gz/download -O-|tar xz
wget http://sourceforge.net/projects/pymilter/files/pyspf/pyspf-2.0.5/pyspf-2.0.5.tar.gz/download -O-|tar xz

cd lockfile-0.7
python setup.py bdist_rpm bdist_dumb
cd ..

cd spambayes-1.1a6
python setup.py bdist_rpm bdist_dumb
cd ..

cd pydns-2.3.4
python setup.py bdist_rpm bdist_dumb
cd ..

cd pymilter-0.9.1
python setup.py bdist_rpm bdist_dumb
cd ..

cd pyspf-2.0.5
python setup.py bdist_rpm bdist_dumb
cd ..

yum -y --enablerepo=rpmforge install python-rrdtool
rpm -i lockfile-0.7/dist/lockfile-0.7-1.noarch.rpm 
rpm -i spambayes-1.1a6/dist/spambayes-1.1a6-1.noarch.rpm 
rpm -i pydns-2.3.4/dist/pydns-2.3.4-1.noarch.rpm 
rpm -i pymilter-0.9.1/dist/pymilter-0.9.1-1.*.rpm
rpm -i pyspf-2.0.5/dist/pyspf-2.0.5-1.noarch.rpm 
