#!/usr/bin/rrdcgi

<HTML>
<HEAD>
<TITLE>Spam filtering statistics</TITLE>
</HEAD>
<BODY>

<RRD::GRAPH sspamm-1d.png --width=1000 --height=170
        --title "Mail count filtered in 10 minutes. Localtime <RRD::TIME::NOW %c>"
        --start 'end-1d' --step=600
	--upper-limit=1 --lower-limit=0 --units-exponent 1 -M
	--x-grid HOUR:1:DAY:1:HOUR:8:0:"%a %H:%M"
            DEF:dpass=/etc/sspamm/sspamm.rrd:pass:AVERAGE
            DEF:dflag=/etc/sspamm/sspamm.rrd:flag:AVERAGE
            DEF:dblock=/etc/sspamm/sspamm.rrd:block:AVERAGE
            CDEF:pass=dpass,2,*
            CDEF:flag=dflag,2,*
            CDEF:block=dblock,2,*
            LINE:pass#0022e9:"Passed"
            LINE:flag#71b871:"Flagged"
            LINE:block#e92200:"Blocked"
><BR>
<RRD::GRAPH sspamm-7d.png --width=1000 --height=170
        --title "Mail count filtered in one hour"
        --start 'end-7d' --step=3600
	--upper-limit=1 --lower-limit=0 --units-exponent 1 -M
	--x-grid HOUR:1:HOUR:12:HOUR:24:86400:"%a %H:%M"
            DEF:dpass=/etc/sspamm/sspamm.rrd:pass:AVERAGE
            DEF:dflag=/etc/sspamm/sspamm.rrd:flag:AVERAGE
            DEF:dblock=/etc/sspamm/sspamm.rrd:block:AVERAGE
            CDEF:pass=dpass,12,*
            CDEF:flag=dflag,12,*
            CDEF:block=dblock,12,*
            LINE:pass#0022e9:"Passed"
            LINE:flag#71b871:"Flagged"
            LINE:block#e92200:"Blocked"
><BR>
<RRD::GRAPH sspamm-prc1w.png --width=1000 --height=170
        --title "Percentage of mail type filtered in week by day."
        --start 'end-1w' --step=86400
	--upper-limit=100 --lower-limit=0 --rigid
	--x-grid HOUR:1:DAY:1:DAY:1:86400:%d.%m.
            DEF:pass=/etc/sspamm/sspamm.rrd:pass:AVERAGE
            DEF:flag=/etc/sspamm/sspamm.rrd:flag:AVERAGE
            DEF:block=/etc/sspamm/sspamm.rrd:block:AVERAGE
            CDEF:total=pass,flag,+,block,+
            CDEF:pp=pass,total,/,100,*
            CDEF:fp=flag,total,/,100,*
            CDEF:bp=100,fp,-,pp,-
            VDEF:ba=bp,AVERAGE
            VDEF:fa=fp,AVERAGE
            VDEF:pa=pp,AVERAGE
            AREA:bp#e92200:"Blocked"
            GPRINT:ba:%0.2lf%%
            STACK:fp#71b871:"Flagged"
            GPRINT:fa:%0.2lf%%
            STACK:pp#0022e9:"Passed"
            GPRINT:pa:%0.2lf%%
><BR>
<RRD::GRAPH sspamm-flow1w.png --width=1000 --height=120
	--title "Average mail count filtered in day."
        --start 'end-1w' --step=86400
	--upper-limit=1 --lower-limit=0 --units-exponent 1 -M
	--x-grid HOUR:1:DAY:1:DAY:1:86400:%d.%m.
            DEF:dpass=/etc/sspamm/sspamm.rrd:pass:AVERAGE
            DEF:dflag=/etc/sspamm/sspamm.rrd:flag:AVERAGE
            DEF:dblock=/etc/sspamm/sspamm.rrd:block:AVERAGE
            CDEF:pass=dpass,288,*
            CDEF:flag=dflag,288,*
            CDEF:block=dblock,288,*
            LINE:pass#0022e9:"Passed"
            LINE:flag#71b871:"Flagged"
            LINE:block#e92200:"Blocked"
><BR>
<RRD::GRAPH sspamm-prc1m.png --width=1000 --height=170
        --title "Percentage of mail type filtered in month by week."
        --start 'end-1m' --step=604800
	--upper-limit=100 --lower-limit=0 --rigid
	--x-grid WEEK:1:WEEK:1:WEEK:1:518400:"Week %W"
            DEF:pass=/etc/sspamm/sspamm.rrd:pass:AVERAGE
            DEF:flag=/etc/sspamm/sspamm.rrd:flag:AVERAGE
            DEF:block=/etc/sspamm/sspamm.rrd:block:AVERAGE
            CDEF:total=pass,flag,+,block,+
            CDEF:pp=pass,total,/,100,*
            CDEF:fp=flag,total,/,100,*
            CDEF:bp=100,fp,-,pp,-
            VDEF:ba=bp,AVERAGE
            VDEF:fa=fp,AVERAGE
            VDEF:pa=pp,AVERAGE
            AREA:bp#e92200:"Blocked"
            GPRINT:ba:%0.2lf%%
            STACK:fp#71b871:"Flagged"
            GPRINT:fa:%0.2lf%%
            STACK:pp#0022e9:"Passed"
            GPRINT:pa:%0.2lf%%
><BR>
<RRD::GRAPH sspamm-flow1y.png --width=1000 --height=120
        --title "Average mail count filtered in week."
        --start 'end-1Y' --step=604800
	--upper-limit=1 --lower-limit=0 --units-exponent 1 -M
	--x-grid WEEK:1:MONTH:1:MONTH:1:0:%m/%y
            DEF:dpass=/etc/sspamm/sspamm.rrd:pass:AVERAGE
            DEF:dflag=/etc/sspamm/sspamm.rrd:flag:AVERAGE
            DEF:dblock=/etc/sspamm/sspamm.rrd:block:AVERAGE
            CDEF:pass=dpass,2016,*
            CDEF:flag=dflag,2016,*
            CDEF:block=dblock,2016,*
            LINE:pass#0022e9:"Passed"
            LINE:flag#71b871:"Flagged"
            LINE:block#e92200:"Blocked"
><BR>
<RRD::GRAPH sspamm-prc1y.png --width=1000 --height=170
        --title "Percentage of mail type filtered in year by week."
        --start 'end-1Y' --step=604800
	--upper-limit=100 --lower-limit=0 --rigid
	--x-grid WEEK:1:WEEK:4:WEEK:4:0:"Week %W/%y"
            DEF:pass=/etc/sspamm/sspamm.rrd:pass:AVERAGE
            DEF:flag=/etc/sspamm/sspamm.rrd:flag:AVERAGE
            DEF:block=/etc/sspamm/sspamm.rrd:block:AVERAGE
            CDEF:total=pass,flag,+,block,+
            CDEF:pp=pass,total,/,100,*
            CDEF:fp=flag,total,/,100,*
            CDEF:bp=100,fp,-,pp,-
            VDEF:ba=bp,AVERAGE
            VDEF:fa=fp,AVERAGE
            VDEF:pa=pp,AVERAGE
            AREA:bp#e92200:"Blocked"
            GPRINT:ba:%0.2lf%%
            STACK:fp#71b871:"Flagged"
            GPRINT:fa:%0.2lf%%
            STACK:pp#0022e9:"Passed"
            GPRINT:pa:%0.2lf%%
><BR>
</BODY>
</HTML>
